---
page_title: Get Customer Account
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/get-customer-account
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Fget-customer-account
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Get Customer account



This is a Server-to-Server API which retrieves the bank entity for a given customer identifier, allowing verification of the customer's existence in the Juspay system. 

This API retrieves all bank account related information, including account details, bank account id creation date and the last validated date of the bank account details.## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/{customer_id}/customer-accounts/{customer_account_id}

- Production: https://api.juspay.in/customers/{customer_id}/customer-accounts/{customer_account_id}

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X GET \
https://api.juspay.in/customers/cst_zqqmw0v4exbhvv2l/customer-accounts/banh_qn2zdmZ4VAEFaBny\
--header 'Authorization: Basic QTA0QT*******ODg1Og==' \
--header 'x-routing-id: customer_1122'\
--header 'Content-Type: application/x-www-form-urlencoded'
```

### Sample Response:

#### 200 - Success:
```json
{
    "object": "customer_account",
    "customer_account_id": "banh_qn2zdmZ4VAEFaBny",
    "customer_id": "cst_zqqmw0v4exbhvv2l",
    "date_created": "2023-06-06T13:29:49Z",
    "account_details": {
        "vpa": "4225246777@yesg"
    },
    "validation_amount": 1.0,
    "currency": "INR",
    "validation_status": "ACTIVE",
    "last_validated": "2023-06-06T13:29:53Z"
}
```

#### 401 - Unauthorized:
```plaintext
{
    "status": "error",
    "error_code": "access_denied",
    "error_info": {
        "user_message": "Unauthorized.",
        "request_id": "b2e0fd33-7655-4778-83a8-5179ed21b0b7",
        "href": "NA",
        "developer_message": "Invalid API Key. Please pass a valid and active api key.",
        "code": "UNAUTHORIZED",
        "category": "USER_ERROR"
    }
}
```

#### 404 - Not Found:
```plaintext
{
    "error_message": "Cannot find what you are looking for",
    "status": "invalid_request_error",
    "error_code": "object_not_found",
    "error_info": {
        "user_message": "Cannot process your request as customer account not found.",
        "request_id": "bfd8b9e6-45a8-4b41-a554-de6e435ffc36",
        "href": "NA",
        "developer_message": "Customer account not found.",
        "code": "RESOURCE_NOT_FOUND",
        "category": "USER_ERROR"
    }
}
```

## Path Parameters:

#### customer_id:
Customer id
- Value: Example:- cst_weoridsfdkl
- Tags: String, Mandatory

#### customer_account_id:
customer Account Id
- Value: Example:- bank_woeriusdfk
- Tags: String, Mandatory
## API Responses:
### 200:

#### object:
- Value: customer_account
- Tags: String

#### customer_account_id:
- Description: ID created at Juspay’s end during Customer account creation
- Value: banh_qn2zdmZ4VAEFaBny
- Tags: String

#### customer_id:
- Description: Customer ID
- Value: cst_zqqmw0v4exbhvv2l
- Tags: String

#### date_created:
- Description: Creation date of the customer account ID
- Value: 2023-06-06T13:29:49Z
- Tags: String

#### account_details:
- Description: Account details with which customer account ID created
- Value:
  - **Vpa**:
    - Description: VPA details
    - Value: 4225246777@yesg
    - Tags: String
- Tags: Object

#### validation_amount:
- Description: Penny drop amount for validation
- Value: 1
- Tags: String

#### currency:
- Description: Currency of the Validation amount
- Value: INR
- Tags: String

#### validation_status:
- Description: Validation status of customer account ID**Possible values:** `CREATED` - Customer account has been created, validation has not yet been completed

`ACTIVE` - validation is successful at gateway with provided customer bank details

`PENDING` - Awaiting transaction status on the penny drop transaction

`FAILURE` - Provided account validation is failure
- Value: ACTIVE
- Tags: String

#### last_validated:
- Description: Recent modified date of the customer account ID
- Value: 2023-06-06T13:29:53Z
- Tags: String
### 401:

#### status:
- Description: Status of the get customer api response
- Value: Response: error
- Tags: String

#### error_code:
- Description: error code information
- Value: Sample response: access_denied
- Tags: String

#### error_info:
- Description: Detailed information of the error
- Value:
  - **User_message**:
    - Description: User error message
    - Value: Response: Unauthorized.
    - Tags: String
  - **Developer_message**:
    - Description: Provide accurate details on the error message
    - Value: Sample Response: Invalid API Key. Please pass a valid and active api key.
    - Tags: String
  - **Category**:
    - Description: Denotes the category of the error
    - Value: Sample Response: USER_ERROR
    - Tags: String
- Tags: JSON


---

## See Also

- [List Customer Accounts](https://juspay.io/in/docs/api-reference/docs/express-checkout/list-customer-accounts)
- [Delete Customer Account](https://juspay.io/in/docs/api-reference/docs/express-checkout/delete-customer-account)
